View Issue Details

IDProjectCategoryView StatusLast Update
0002061Far ManagerSetAttrpublic2012-04-11 15:16
ReportertrsAssigned ToDrKnS 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002061: Date wrong in Attributes dialog
DescriptionYear consist of 5 digits instead of 4. This causes whole date shifted by 1 character left.

Example:

If date is "2012.04.13"
it shows as "20120.41.3 "
Additional InformationFar Manager, version 3.0 (build 2591) x86
TagsNo tags attached.
Build2597

Relationships

has duplicate 0002191 closed File Attributes диалог - 5 цифр под год 

Activities

DrKnS

2012-04-06 15:11

administrator   bugnote:0008847

2592

trs

2012-04-10 19:05

reporter   bugnote:0008860

ver. 2593:

Regional date format: yyyy MM/dd

'_' means Space just to better visualize:

YYYY MM DD
2011 12 15 date to display
2011 _1 2_ FAR Attrib. displayed

2011 04 08 date to display
2011 _0 4_ FAR Attrib. displayed

trs

2012-04-10 19:16

reporter   bugnote:0008861

I like to extend this error:

Year separator is used instead of month & day separator!
(Shows 2012,04,10 instead of 2012,04/10).

This wrong separator is on MAIN panel too! (really annoying in Brief (Linux) mode).

Thanks for all Your works, FAR is far the best ;)

DrKnS

2012-04-10 21:58

administrator   bugnote:0008862

2597.

trs

2012-04-11 05:33

reporter   bugnote:0008864

Attributes panel now correct! ...except that separators:

To reproduce, please set date format to 'yyyy,MM/DD' (or any when year and month/day separwtors differs)

A date in that format is:

'2011, 04/11' (in "brief" (Linux) style it is 04/11 2011")

FAR shows as:

'2111, 04,11" (in "brief" (Linux) style, is 04,11 2011")

So, FAR using Year separator instead of month/day separators.

Thank You for Your lightning-faast updates on this "minor" bug(z)

trs

2012-04-11 05:34

reporter   bugnote:0008865

P.S.: I used 3599

DrKnS

2012-04-11 08:09

administrator   bugnote:0008866

Yep, we don't yet support different separators in date format.
Currently only Month?Day?Year / Day?Month?Year / Year?Month?Day formats with single, uniform separator are supported.

trs

2012-04-11 10:34

reporter   bugnote:0008867

Thank You DrKnS, then this bug is killed :)

Issue History

Date Modified Username Field Change
2012-04-06 14:26 trs New Issue
2012-04-06 15:11 DrKnS Note Added: 0008847
2012-04-06 15:11 DrKnS Assigned To => DrKnS
2012-04-06 15:11 DrKnS Status new => feedback
2012-04-10 19:05 trs Note Added: 0008860
2012-04-10 19:05 trs Status feedback => assigned
2012-04-10 19:16 trs Note Added: 0008861
2012-04-10 21:58 DrKnS Note Added: 0008862
2012-04-10 21:58 DrKnS Status assigned => feedback
2012-04-11 05:33 trs Note Added: 0008864
2012-04-11 05:33 trs Status feedback => assigned
2012-04-11 05:34 trs Note Added: 0008865
2012-04-11 08:09 DrKnS Note Added: 0008866
2012-04-11 10:34 trs Note Added: 0008867
2012-04-11 10:34 trs Status assigned => resolved
2012-04-11 15:16 DrKnS Build => 2597
2012-04-11 15:16 DrKnS Status resolved => closed
2012-04-11 15:16 DrKnS Resolution open => fixed
2012-04-11 15:16 DrKnS Fixed in Version => 3.0
2012-11-07 12:37 DrKnS Relationship added has duplicate 0002191